定義済みルールは併用できません
この問題が発生すると、APIは409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/predefined-rule-exclusiveです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
定義済みルール<id>をこのエンジンに関連付けることはできません。エンジンに適用済みの<heldId>とは併用できないためです。まず<heldId>の関連付けを解除してから、<id>を関連付けてください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で代わりに独自のテキストを表示できます。
| フィールド | 型 |
|---|---|
id | string |
heldId | string |
例#
json
{
"detail": "Cannot attach predefined rule <id> to this engine. It is mutually exclusive with <heldId>, which the engine already applies. Detach <heldId> first, then attach <id>.",
"id": "<id>",
"heldId": "<heldId>",
"type": "https://lingo.dev/docs/api/errors/predefined-rule-exclusive",
"status": 409,
"title": "Predefined rules mutually exclusive"
}このエラーを返すエンドポイント#
PUT /v2/engines/{engineId}/predefined-rules/{id}